GNU bug report logs - #16533
24.3.50; "s" no longer works as documented in dired

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Markus Triska <markus.triska@HIDDEN>; dated Fri, 24 Jan 2014 00:35:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 26 Jan 2014 01:31:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 20:31:48 2014
Received: from localhost ([127.0.0.1]:36017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7EZg-00027d-4p
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 20:31:48 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52704)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1W7EZd-00027S-5q
 for 16533 <at> debbugs.gnu.org; Sat, 25 Jan 2014 20:31:45 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1W7EZc-00006K-EE; Sat, 25 Jan 2014 20:31:44 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
References: <m2fvoeusk5.fsf@HIDDEN> <dbnz2m5wr.fsf@HIDDEN>
 <p4zjmmkr7c.fsf@HIDDEN> <m2y525waxs.fsf@HIDDEN>
 <c9y525s014.fsf@HIDDEN> <8361p8cnll.fsf@HIDDEN>
X-Spook: diwn UNSCOM $400 million in gold bullion Semtex credit
X-Ran: ZdpRR"+[uuwa&TVN4vEFO(M+keHUp/"Yo:y-(%wx1I'()?s?Iy:m<u#wNk@M*RebJSc&55
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 25 Jan 2014 20:31:44 -0500
In-Reply-To: <8361p8cnll.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Jan
 2014 13:22:46 +0200")
Message-ID: <j7y523le9r.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 16533
Cc: 16533 <at> debbugs.gnu.org, markus.triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Eli Zaretskii wrote:

> The problem here seems to be that dired-sort-toggle blindly adds the
> "-t" flag to dired-actual-switches, although in this case the sorting
> is not by date at all.  I don't understand the logic here; it seems
> like dired-sort-toggle assumes without testing that the directory is
> sorted either by date or by name, which is of course false.
>
> Is it a portable assumption that the last switch that determines the
> sorting order overrides all the previous ones?  If so, ls-lisp.el
> should be fixed to implement that requirement.  But if not, we need to
> fix dired.el not to put more than one sorting option into
> dired-actual-switches.  In particular, the logic in dired-sort-toggle
> seems to be flawed.

Duh, I seem to have been very thick here, since the original report
seems clear now. I guess I missed the 'then press "s"'.

I guess it is not a portable assumption, since presumably whatever
crappy ls Mac OS X uses does not work that way.

Prior to r101356, dired-sort-toggle removed dired-ls-sorting-switches.
Now it seems not to. That change was made to fix another bug,
http://debbugs.gnu.org/6987




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 25 Jan 2014 11:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 06:23:04 2014
Received: from localhost ([127.0.0.1]:35141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W71KK-0004Tj-AM
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 06:23:04 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:59188)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W71KH-0004TB-At
 for 16533 <at> debbugs.gnu.org; Sat, 25 Jan 2014 06:23:02 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MZY00I00EZYVA00@HIDDEN> for 16533 <at> debbugs.gnu.org;
 Sat, 25 Jan 2014 13:22:59 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZY00IHEFMBPH90@HIDDEN>;
 Sat, 25 Jan 2014 13:22:59 +0200 (IST)
Date: Sat, 25 Jan 2014 13:22:46 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
In-reply-to: <c9y525s014.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <8361p8cnll.fsf@HIDDEN>
References: <m2fvoeusk5.fsf@HIDDEN> <dbnz2m5wr.fsf@HIDDEN>
 <p4zjmmkr7c.fsf@HIDDEN> <m2y525waxs.fsf@HIDDEN>
 <c9y525s014.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16533
Cc: 16533 <at> debbugs.gnu.org, markus.triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Fri, 24 Jan 2014 13:32:55 -0500
> Cc: 16533 <at> debbugs.gnu.org
> 
> Please confirm what the problem actually is - just that it says "by
> date" in the mode line?

I think the problem is that is says "by date", but the actual sorting
is not changed, i.e. it stays by size in this case.

> When it does so, what are the values of
> 
> dired-ls-sorting-switches

"SXU"

> dired-sort-by-date-regexp

"\\(\\`\\| \\)-[^- ]*t[^ SXU]*\\(\\(\\`\\| +\\)\\(--[^ ]+\\|-[^- tSXU]+\\)\\)* *$"

> dired-actual-switches

"-alSt"

And the latter is the root cause of the problem, IMO: the -S switch is
not removed from dired-actual-switches.

The problem here seems to be that dired-sort-toggle blindly adds the
"-t" flag to dired-actual-switches, although in this case the sorting
is not by date at all.  I don't understand the logic here; it seems
like dired-sort-toggle assumes without testing that the directory is
sorted either by date or by name, which is of course false.

Is it a portable assumption that the last switch that determines the
sorting order overrides all the previous ones?  If so, ls-lisp.el
should be fixed to implement that requirement.  But if not, we need to
fix dired.el not to put more than one sorting option into
dired-actual-switches.  In particular, the logic in dired-sort-toggle
seems to be flawed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 25 Jan 2014 11:02:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 06:02:28 2014
Received: from localhost ([127.0.0.1]:35128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W710N-0003w7-TU
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 06:02:28 -0500
Received: from mtaout26.012.net.il ([80.179.55.182]:42855)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W710L-0003vy-Gx
 for 16533 <at> debbugs.gnu.org; Sat, 25 Jan 2014 06:02:26 -0500
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0MZY00G00DYNGH00@HIDDEN> for
 16533 <at> debbugs.gnu.org; Sat, 25 Jan 2014 13:01:41 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZY00FUUEMTWG30@HIDDEN>; Sat, 25 Jan 2014 13:01:41 +0200 (IST)
Date: Sat, 25 Jan 2014 13:02:11 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
In-reply-to: <m2y525waxs.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Markus Triska <markus.triska@HIDDEN>
Message-id: <837g9ocojw.fsf@HIDDEN>
References: <m2fvoeusk5.fsf@HIDDEN> <dbnz2m5wr.fsf@HIDDEN>
 <p4zjmmkr7c.fsf@HIDDEN> <m2y525waxs.fsf@HIDDEN>
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > From: Markus Triska <markus.triska@HIDDEN> > Date: Fri,
 24 Jan 2014 18:23:43 +0100 > Cc: 16533 <at> debbugs.gnu.org > > Glenn Morris
 <rgm@HIDDEN>
 writes: > > > What is the value of dired-use-ls-dired? > > Its value is nil.
 When I start dired after "$ emacs -Q", it displays: > > ls does not support
 --dired;
 see `dired-use-ls-dired' for more details. > > Following the instructions
 in the documentation of `dired-use-ls-dired', > I tried Emacs's own emulation
 of "ls" by evaluating (in "$ emacs -Q"): > > (setq
 ls-lisp-use-insert-directory-program
 nil) > (require 'ls-lisp) > > The original problem shows up with this
 emulation as well. [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net
 [Blocked - see <http://www.spamcop.net/bl.shtml?80.179.55.182>]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 16533
Cc: rgm@HIDDEN, 16533 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > From: Markus Triska <markus.triska@HIDDEN> > Date: Fri,
   24 Jan 2014 18:23:43 +0100 > Cc: 16533 <at> debbugs.gnu.org > > Glenn Morris <rgm@HIDDEN>
    writes: > > > What is the value of dired-use-ls-dired? > > Its value is nil.
    When I start dired after "$ emacs -Q", it displays: > > ls does not support
    --dired; see `dired-use-ls-dired' for more details. > > Following the instructions
    in the documentation of `dired-use-ls-dired', > I tried Emacs's own emulation
    of "ls" by evaluating (in "$ emacs -Q"): > > (setq ls-lisp-use-insert-directory-program
    nil) > (require 'ls-lisp) > > The original problem shows up with this emulation
    as well. [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net
                [Blocked - see <http://www.spamcop.net/bl.shtml?80.179.55.182>]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

> From: Markus Triska <markus.triska@HIDDEN>
> Date: Fri, 24 Jan 2014 18:23:43 +0100
> Cc: 16533 <at> debbugs.gnu.org
> 
> Glenn Morris <rgm@HIDDEN> writes:
> 
> > What is the value of dired-use-ls-dired?
> 
> Its value is nil. When I start dired after "$ emacs -Q", it displays:
> 
>   ls does not support --dired; see `dired-use-ls-dired' for more details.
> 
> Following the instructions in the documentation of `dired-use-ls-dired',
> I tried Emacs's own emulation of "ls" by evaluating (in "$ emacs -Q"):
> 
>   (setq ls-lisp-use-insert-directory-program nil)
>   (require 'ls-lisp)
> 
> The original problem shows up with this emulation as well.

Aren't you using ls-lisp emulation by default?  What does the
following produce in "emacs -Q"?

  M-: (featurep 'ls-lisp) RET




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 24 Jan 2014 18:32:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 13:32:59 2014
Received: from localhost ([127.0.0.1]:34799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W6lYp-0007PD-BZ
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2014 13:32:59 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:57021)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1W6lYo-0007P6-48
 for 16533 <at> debbugs.gnu.org; Fri, 24 Jan 2014 13:32:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1W6lYm-0006w3-2o; Fri, 24 Jan 2014 13:32:56 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
References: <m2fvoeusk5.fsf@HIDDEN> <dbnz2m5wr.fsf@HIDDEN>
 <p4zjmmkr7c.fsf@HIDDEN> <m2y525waxs.fsf@HIDDEN>
X-Spook: Echelon industrial intelligence S Box Forte underground
X-Ran: pFD&U1MZ>3<fO/#zfjYL^t]JhM?*9V^1sPk\ZV#4]ptj4Ks9V6elDXF3M"~P/'Wj)Pr0b^
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 24 Jan 2014 13:32:55 -0500
In-Reply-To: <m2y525waxs.fsf@HIDDEN> (Markus Triska's message of "Fri, 24 Jan
 2014 18:23:43 +0100")
Message-ID: <c9y525s014.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 16533
Cc: 16533 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Markus Triska wrote:

> The original problem shows up with this emulation as well.

Not for me.

Please confirm what the problem actually is - just that it says "by
date" in the mode line?

When it does so, what are the values of

dired-ls-sorting-switches
dired-sort-by-date-regexp
dired-actual-switches




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 24 Jan 2014 17:24:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 12:24:09 2014
Received: from localhost ([127.0.0.1]:34769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W6kUC-0004Qi-Tu
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2014 12:24:09 -0500
Received: from mout.gmx.net ([212.227.15.15]:59569)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <markus.triska@HIDDEN>) id 1W6kU9-0004QZ-Qk
 for 16533 <at> debbugs.gnu.org; Fri, 24 Jan 2014 12:24:06 -0500
Received: from mt-imac.local ([178.165.130.204]) by mail.gmx.com (mrgmx103)
 with ESMTPA (Nemesis) id 0Mdrph-1VxDqg45Yj-00Pc2y for
 <16533 <at> debbugs.gnu.org>; Fri, 24 Jan 2014 18:24:04 +0100
Received: by mt-imac.local (Postfix, from userid 501)
 id BF525EEB285; Fri, 24 Jan 2014 18:23:43 +0100 (CET)
From: Markus Triska <markus.triska@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
References: <m2fvoeusk5.fsf@HIDDEN> <dbnz2m5wr.fsf@HIDDEN>
 <p4zjmmkr7c.fsf@HIDDEN>
Date: Fri, 24 Jan 2014 18:23:43 +0100
In-Reply-To: <p4zjmmkr7c.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 23 Jan 2014 22:13:11 -0500")
Message-ID: <m2y525waxs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:JJezFbsRAH81gQ1ee6MZxMFrv7Yo258rnQZWaggdHswXhhusstW
 VIm9AHujzM1CaOI5TNd/eq2iVCOSV0I0b5JXvxCt3d/qZpefHboh/9RwCAPOycr/B/9mn3o
 +hYufLVb8WSZhrL75y8rPqLS+k+8wZAU2wI43tzRovJzd/PBHzB1VW3mdr/I19TE4n7fQJn
 GDvjEpX3A/Zi2au4ef1CQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16533
Cc: 16533 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Glenn Morris <rgm@HIDDEN> writes:

> What is the value of dired-use-ls-dired?

Its value is nil. When I start dired after "$ emacs -Q", it displays:

  ls does not support --dired; see `dired-use-ls-dired' for more details.

Following the instructions in the documentation of `dired-use-ls-dired',
I tried Emacs's own emulation of "ls" by evaluating (in "$ emacs -Q"):

  (setq ls-lisp-use-insert-directory-program nil)
  (require 'ls-lisp)

The original problem shows up with this emulation as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 24 Jan 2014 03:13:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 22:13:14 2014
Received: from localhost ([127.0.0.1]:33968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W6XCk-00060U-8I
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2014 22:13:14 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:59586)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1W6XCi-00060M-81
 for 16533 <at> debbugs.gnu.org; Thu, 23 Jan 2014 22:13:12 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1W6XCh-0002OZ-HJ; Thu, 23 Jan 2014 22:13:11 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
References: <m2fvoeusk5.fsf@HIDDEN> <dbnz2m5wr.fsf@HIDDEN>
X-Spook: monarchist SHA Chobetsu security ARPA AUTODIN INSCOM
X-Ran: mHKm'DA*"W6T6*\jf;gf1-"G3{A#wO+~M%C%v'HzL%HD4t.1/q"&)qX-dr9M+k8t3w]-*8
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 23 Jan 2014 22:13:11 -0500
In-Reply-To: <dbnz2m5wr.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 23 Jan 2014 22:10:12 -0500")
Message-ID: <p4zjmmkr7c.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 16533
Cc: 16533 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

Glenn Morris wrote:

>> This works as expected in Emacs 22.1.1, where "s" then sorts by date.
>
> I don't understand.

Oh, I see. Works for me.

What is the value of dired-use-ls-dired?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at 16533 <at> debbugs.gnu.org:


Received: (at 16533) by debbugs.gnu.org; 24 Jan 2014 03:10:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 22:10:15 2014
Received: from localhost ([127.0.0.1]:33960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W6X9r-0005ud-Cn
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2014 22:10:15 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:59558)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1W6X9p-0005uU-P2
 for 16533 <at> debbugs.gnu.org; Thu, 23 Jan 2014 22:10:14 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1W6X9o-0002AB-U7; Thu, 23 Jan 2014 22:10:12 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired
References: <m2fvoeusk5.fsf@HIDDEN>
X-Spook: AVN Semtex BLU-114/B Ft. Meade basement strategic
X-Ran: ]6+qTm.q,a>Rx0,!/T\)pW/,#)MpM2VBI~>7}/9G([,zL2@hKooxtzCHr~OW)~>4PS*0U-
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 23 Jan 2014 22:10:12 -0500
In-Reply-To: <m2fvoeusk5.fsf@HIDDEN> (Markus Triska's message of "Fri, 24 Jan
 2014 01:33:46 +0100")
Message-ID: <dbnz2m5wr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 16533
Cc: 16533 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Markus Triska wrote:

> When I do:
>
>    $ emacs -Q
>
> and then view my home directory in dired with:
>
>    C-x C-f RET
>
> and then list all files in decreasing order of their file sizes with:
>
>    C-u s S RET
>
> (making the switches read: "-alS")
>
> and then press "s", dired says "Dired by date" but still orders by size.

So is the complaint that it says "Dired by date"?
I can't reproduce this.

> This works as expected in Emacs 22.1.1, where "s" then sorts by date.

I don't understand. "-alS" means ls should sort by size.
Sort by date would be "-alt".

> In GNU Emacs 24.3.50.2 (x86_64-apple-darwin10.8.0, X toolkit, Xaw3d scroll bars)
>  of 2014-01-04 on mt-imac.local




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jan 2014 00:34:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 19:34:37 2014
Received: from localhost ([127.0.0.1]:33888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W6UjE-0001fT-TG
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2014 19:34:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49764)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <markus.triska@HIDDEN>) id 1W6UjC-0001fL-6n
 for submit <at> debbugs.gnu.org; Thu, 23 Jan 2014 19:34:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <markus.triska@HIDDEN>) id 1W6Uj4-0007tr-K8
 for submit <at> debbugs.gnu.org; Thu, 23 Jan 2014 19:34:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49701)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <markus.triska@HIDDEN>) id 1W6Uj4-0007tn-H6
 for submit <at> debbugs.gnu.org; Thu, 23 Jan 2014 19:34:26 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51448)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <markus.triska@HIDDEN>) id 1W6Uiy-0006pg-BA
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jan 2014 19:34:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <markus.triska@HIDDEN>) id 1W6Uiq-0007sZ-Tm
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jan 2014 19:34:20 -0500
Received: from mout.gmx.net ([212.227.17.22]:58619)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <markus.triska@HIDDEN>) id 1W6Uiq-0007sA-KG
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jan 2014 19:34:12 -0500
Received: from mt-imac.local ([178.165.128.176]) by mail.gmx.com (mrgmx002)
 with ESMTPA (Nemesis) id 0Ldq55-1VObOk0Ect-00j1Rz for
 <bug-gnu-emacs@HIDDEN>; Fri, 24 Jan 2014 01:34:10 +0100
Received: by mt-imac.local (Postfix, from userid 501)
 id DBD06EE989C; Fri, 24 Jan 2014 01:33:46 +0100 (CET)
From: Markus Triska <markus.triska@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; "s" no longer works as documented in dired
Date: Fri, 24 Jan 2014 01:33:46 +0100
Message-ID: <m2fvoeusk5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:94R+u8PHf04x5FpG3aU1mE8LR2SyimrUT+oYMBqnLW99eDqiWkZ
 xMSsdqh+Z/NvRGBhuwSM5yecFkO8xlATIMLCs7Bk0ZJcMfg7RD9KYmuhJeo8S3ovL1HmnJZ
 yAFuFXVrbyo3LV8zvygUxRzuwE2ARB1sW9wBdl9GaCFr1UH4TT/b/3WE6bJ8E61cFKKYPTC
 ZJhW636ZnIG0t8P9cxYUw==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

When I do:

   $ emacs -Q

and then view my home directory in dired with:

   C-x C-f RET

and then list all files in decreasing order of their file sizes with:

   C-u s S RET

(making the switches read: "-alS")

and then press "s", dired says "Dired by date" but still orders by size.

This works as expected in Emacs 22.1.1, where "s" then sorts by date.


In GNU Emacs 24.3.50.2 (x86_64-apple-darwin10.8.0, X toolkit, Xaw3d scroll bars)
 of 2014-01-04 on mt-imac.local
Windowing system distributor `The X.Org Foundation', version 11.0.11404000
Configured using:
 `configure CFLAGS=-I/opt/local/include LDFLAGS=-L/opt/local/lib'




Acknowledgement sent to Markus Triska <markus.triska@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16533; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.